﻿Namespace Roton

    Friend NotInheritable Class Sounds
        Public Shared ReadOnly Ammo As Byte() =
            {
                &H30, 1, &H31, 1, &H32, 1
            }

        Public Shared ReadOnly BombActivate As Byte() =
            {
                &H30, 1, &H35, 1, &H40, 1,
                &H45, 1, &H50, 1
            }

        Public Shared ReadOnly BombExplode As Byte() =
            {
                &H60, 1, &H50, 1, &H40, 1,
                &H30, 1, &H20, 1, &H10, 1
            }

        Public Shared ReadOnly BombTick As Byte() =
            {
                &HF8, 1
            }

        Public Shared ReadOnly BombTock As Byte() =
            {
                &HF5, 1
            }

        Public Shared ReadOnly BulletDie As Byte() =
            {
                &H20, 1
            }

        Public Shared ReadOnly Cheat As Byte() =
            {
                &H27, 4
            }

        Public Shared ReadOnly DoorLocked As Byte() =
            {
                &H17, 1, &H10, 1
            }

        Public Shared ReadOnly DoorOpen As Byte() =
            {
                &H30, 1, &H37, 1, &H3B, 1,
                &H30, 1, &H37, 1, &H3B, 1,
                &H40, 4
            }

        Public Shared ReadOnly Duplicate As Byte() =
            {
                &H30, 2, &H32, 2, &H34, 2,
                &H35, 2, &H37, 2
            }

        Public Shared ReadOnly DuplicateFail As Byte() =
            {
                &H18, 1, &H16, 1
            }

        Public Shared ReadOnly EnemyDie As Byte() =
            {
                &H40, 1, &H10, 1, &H50, 1,
                &H30, 1
            }

        Public Shared ReadOnly EnemyShoot As Byte() =
            {
                &H30, 1, &H26, 1
            }

        Public Shared ReadOnly EnemySuicide As Byte() =
            {
                &H10, 1
            }

        Public Shared ReadOnly Energizer As Byte() =
            {
                &H20, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3, &H30, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3, &H30, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3, &H30, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3, &H30, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3, &H30, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3, &H30, 3,
                &H23, 3, &H24, 3, &H25, 3,
                &H35, 3, &H25, 3, &H23, 3,
                &H20, 3
            }

        Public Shared ReadOnly EnergyOut As Byte() =
            {
                &H20, 3, &H1A, 3, &H17, 3,
                &H16, 3, &H15, 3, &H13, 3,
                &H10, 3
            }

        Public Shared ReadOnly Forest As Byte() =
            {
                &H39, 1
            }

        Public Shared ReadOnly GameOver As Byte() =
            {
                &H20, 3, &H23, 3, &H27, 3,
                &H30, 3, &H27, 3, &H2A, 3,
                &H32, 3, &H37, 3, &H35, 3,
                &H38, 3, &H40, 3, &H45, 3,
                &H10, 10
            }

        Public Shared ReadOnly Gem As Byte() =
            {
                &H40, 1, &H37, 1, &H34, 1, &H30, 1
            }

        Public Shared ReadOnly Invisible As Byte() =
            {
                &H12, 1, &H10, 1
            }

        Public Shared ReadOnly Key As Byte() =
            {
                &H40, 1, &H44, 1, &H47, 1,
                &H40, 1, &H44, 1, &H47, 1,
                &H40, 1, &H44, 1, &H47, 1,
                &H50, 2
            }

        Public Shared ReadOnly KeyAlready As Byte() =
            {
                &H30, 2, &H20, 2
            }

        Public Shared ReadOnly OOPError As Byte() =
            {
                &H50, 10
            }

        Public Shared ReadOnly Ouch As Byte() =
            {
                &H10, 1, &H20, 1, &H13, 1,
                &H23, 1
            }

        Public Shared ReadOnly Passage As Byte() =
            {
                &H30, 1, &H34, 1, &H37, 1,
                &H31, 1, &H35, 1, &H38, 1,
                &H32, 1, &H36, 1, &H39, 1,
                &H33, 1, &H37, 1, &H3A, 1,
                &H34, 1, &H38, 1, &H40, 1
            }

        Public Shared ReadOnly PlayerShoot As Byte() =
            {
                &H40, 1, &H30, 1, &H20, 1
            }

        Public Shared ReadOnly Push As Byte() =
            {
                &H15, 1
            }

        Public Shared ReadOnly Ricochet As Byte() =
            {
                &HF9, 1
            }

        Public Shared ReadOnly SlimeDie As Byte() =
            {
                &H20, 1, &H23, 1
            }

        Public Shared ReadOnly TimeLow As Byte() =
            {
                &H40, 6, &H45, 6, &H40, 6,
                &H35, 6, &H40, 6, &H45, 6,
                &H40, 10
            }

        Public Shared ReadOnly TimeOut As Byte() =
            {
                &H20, 1, &H23, 1, &H27, 1, &H30, 1, &H10, 1
            }

        Public Shared ReadOnly Torch As Byte() =
            {
                &H30, 1, &H39, 1, &H34, 2
            }

        Public Shared ReadOnly TorchOut As Byte() =
            {
                &H30, 1, &H20, 1, &H10, 1
            }

        Public Shared ReadOnly Transporter As Byte() =
            {
                &H30, 1, &H42, 1, &H34, 1,
                &H46, 1, &H38, 1, &H4A, 1,
                &H40, 1, &H52, 1
            }

        Public Shared ReadOnly Water As Byte() =
            {
                &H40, 1, &H50, 1
            }
    End Class
End Namespace