﻿Imports Microsoft.DirectX
Imports Microsoft.DirectX.DirectDraw

Namespace Roton
    Public Class VideoDirectDraw
        Inherits VideoGDI

        Private Dev As Device
        Private Surf As Surface
        Private SurfDesc As SurfaceDescription
        Private Parent As Control

        Public Sub New(ByVal NewParent As Control)
            MyBase.New()
            Parent = NewParent
            Dev = New Device
            Dev.SetCooperativeLevel(Parent, CooperativeLevelFlags.Normal)
            With SurfDesc
                With .SurfaceCaps
                    .PrimarySurface = True
                    .Flip = False
                    .Complex = True
                End With
            End With
            Surf = New Surface(SurfDesc, Dev)

        End Sub
    End Class
End Namespace